REST API ReferenceDashboard APIApps
Update an app's config
PATCH
/apps/{id}/configUpdate an app's config using a PATCH request.
One or more config fields must be passed in the request body. Only the fields present in the request body will be updated.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
id*string
App's UUID.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Any subset of the app config fields returned by GET /apps/{id}/config.
Response Body
application/json
curl -X PATCH "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/config" \ -H "Content-Type: application/json" \ -d '{ "screenshot_mask_level": "all_text" }'{ "message": "config updated successfully"}Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue